//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#ifndef CRTSCLIENTBRUSH_H
#define CRTSCLIENTBRUSH_H
#ifdef _WIN32
#pragma once
#endif

//-----------------------------------------------------------------------------
// Purpose: A brush that hides itself depending on the level the player is viewing
//-----------------------------------------------------------------------------
class CRTSClientBrush : public CBaseEntity
{
public:
	DECLARE_CLASS( CRTSClientBrush, CBaseEntity );

	DECLARE_SERVERCLASS();
	DECLARE_DATADESC();

	void Spawn( void );
	bool CreateVPhysics( void );
	int GetLevel( void ) { return m_iLevel; };

    virtual int UpdateTransmitState()
	{
		//return SetTransmitState( FL_EDICT_ALWAYS );
		return SetTransmitState( FL_EDICT_PVSCHECK );
	}
private:
	CNetworkVar( int,   m_iLevel );
};

#endif // CRTSCLIENTBRUSH_H